de.esprit.appsuite.io.archive

## Class ArchiveEntry<E>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.io.archive.ArchiveEntry<E>

- All Implemented Interfaces:
    Dumpable
  Direct Known Subclasses:
    TarArchiveEntry, ZipArchiveEntry

      public abstract class ArchiveEntry<E>
      extends DumpableObject

  This class encapsulates an archive entry such as a TAR or ZIP entry.
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected E` | `entry`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ArchiveEntry(E entry)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract FileInfo` | `createFileInfo(E entry)`
    `boolean` | `equals(java.lang.Object obj)`
    `abstract java.lang.String` | `getComment()`
    `E` | `getEntry()`
    `abstract java.lang.String` | `getEntryPathName()`
    `FileInfo` | `getFileInfo()`
    `abstract long` | `getLastModified()`
    `abstract long` | `getSize()`
    `java.lang.String` | `getUnixPathName()`
    `int` | `hashCode()`
    `abstract boolean` | `isDirectory()`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### entry

          protected final E entry

  - ### Constructor Detail

    - #### ArchiveEntry

          protected ArchiveEntry(E entry)

  - ### Method Detail

    - #### getEntry

          public final E getEntry()

    - #### getFileInfo

          public final FileInfo getFileInfo()

    - #### equals

          public final boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### getUnixPathName

          public final java.lang.String getUnixPathName()

    - #### getEntryPathName

          public abstract java.lang.String getEntryPathName()

    - #### getSize

          public abstract long getSize()

    - #### getLastModified

          public abstract long getLastModified()

    - #### getComment

          public abstract java.lang.String getComment()

    - #### isDirectory

          public abstract boolean isDirectory()

    - #### createFileInfo

          protected abstract FileInfo createFileInfo(E entry)

    - #### toString

          public final ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public final DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.